libzypp: zypp/Arch.cc File Reference

libzypp 17.38.13

Arch.cc File Reference
`#include <features.h>`
`#include <sys/utsname.h>`
`#include <unistd.h>`
`#include <iostream>`
`#include <list>`
`#include <fstream>`
`#include <zypp-core/base/IOStream.h>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/base/Exception.h>`
`#include <zypp-core/base/NonCopyable.h>`
`#include <zypp-core/base/Hash.h>`
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp/Arch.h>`
`#include <zypp/Bit.h>`

Go to the source code of this file.

## Classes
struct | zypp::Arch::CompatEntry
| Holds an architecture ID and its compatible relation. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | DEF_BUILTIN(A)
#define | SETARG(N)

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const Arch::CompatEntry &obj)
| relates: Arch::CompatEntry Stream output
bool | zypp::operator== (const Arch::CompatEntry &lhs, const Arch::CompatEntry &rhs)
| relates: Arch::CompatEntry
bool | zypp::operator!= (const Arch::CompatEntry &lhs, const Arch::CompatEntry &rhs)
| relates: Arch::CompatEntry
| ZYPP_DEFINE_ID_HASHABLE (zypp::Arch::CompatEntry)
| zypp::DEF_BUILTIN (noarch)
| zypp::DEF_BUILTIN (i386)
| zypp::DEF_BUILTIN (i486)
| zypp::DEF_BUILTIN (i586)
| zypp::DEF_BUILTIN (i686)
| zypp::DEF_BUILTIN (athlon)
| zypp::DEF_BUILTIN (x86_64)
| zypp::DEF_BUILTIN (x86_64_v2)
| zypp::DEF_BUILTIN (x86_64_v3)
| zypp::DEF_BUILTIN (x86_64_v4)
| zypp::DEF_BUILTIN (pentium3)
| zypp::DEF_BUILTIN (pentium4)
| zypp::DEF_BUILTIN (s390)
| zypp::DEF_BUILTIN (s390x)
| zypp::DEF_BUILTIN (ppc)
| zypp::DEF_BUILTIN (ppc64)
| zypp::DEF_BUILTIN (ppc64p7)
| zypp::DEF_BUILTIN (ppc64le)
| zypp::DEF_BUILTIN (ia64)
| zypp::DEF_BUILTIN (alphaev67)
| zypp::DEF_BUILTIN (alphaev6)
| zypp::DEF_BUILTIN (alphapca56)
| zypp::DEF_BUILTIN (alphaev56)
| zypp::DEF_BUILTIN (alphaev5)
| zypp::DEF_BUILTIN (alpha)
| zypp::DEF_BUILTIN (sparc64v)
| zypp::DEF_BUILTIN (sparcv9v)
| zypp::DEF_BUILTIN (sparc64)
| zypp::DEF_BUILTIN (sparcv9)
| zypp::DEF_BUILTIN (sparcv8)
| zypp::DEF_BUILTIN (sparc)
| zypp::DEF_BUILTIN (aarch64)
| zypp::DEF_BUILTIN (armv7tnhl)
| zypp::DEF_BUILTIN (armv7thl)
| zypp::DEF_BUILTIN (armv7hnl)
| zypp::DEF_BUILTIN (armv7nhl)
| zypp::DEF_BUILTIN (armv8hl)
| zypp::DEF_BUILTIN (armv7hl)
| zypp::DEF_BUILTIN (armv6hl)
| zypp::DEF_BUILTIN (armv8l)
| zypp::DEF_BUILTIN (armv7l)
| zypp::DEF_BUILTIN (armv6l)
| zypp::DEF_BUILTIN (armv5tejl)
| zypp::DEF_BUILTIN (armv5tel)
| zypp::DEF_BUILTIN (armv5tl)
| zypp::DEF_BUILTIN (armv5l)
| zypp::DEF_BUILTIN (armv4tl)
| zypp::DEF_BUILTIN (armv4l)
| zypp::DEF_BUILTIN (armv3l)
| zypp::DEF_BUILTIN (riscv64)
| zypp::DEF_BUILTIN (sh3)
| zypp::DEF_BUILTIN (sh4)
| zypp::DEF_BUILTIN (sh4a)
| zypp::DEF_BUILTIN (m68k)
| zypp::DEF_BUILTIN (mips)
| zypp::DEF_BUILTIN (mipsel)
| zypp::DEF_BUILTIN (mips64)
| zypp::DEF_BUILTIN (mips64el)
| zypp::DEF_BUILTIN (loong64)

## Variables
const Arch | zypp::Arch_empty (IdString::Empty)

## Macro Definition Documentation

## ◆ DEF_BUILTIN

#define DEF_BUILTIN | ( |  | A | ) |

Value:
namespace { static inline const IdString & a_##A () { static IdString _str(#A); return _str; } } \
const Arch Arch_##A( a_##A() )

Definition at line 371 of file Arch.cc.

## ◆ SETARG

#define SETARG | ( |  | N | ) |

Value:
if ( arch##N##_r.empty() ) return; target.addCompatBit( assertCompatSetEntry( arch##N##_r )._idBit )

## Function Documentation

## ◆ ZYPP_DEFINE_ID_HASHABLE()

ZYPP_DEFINE_ID_HASHABLE | ( | zypp::Arch::CompatEntry |  | ) |